# DataExchange
TKSTEPAttr
StepVisual

# StepVisual_FillAreaStyleColour Class Reference

`#include <StepVisual_FillAreaStyleColour.hxx>`

## Public Member Functions

Standard_EXPORT | StepVisual_FillAreaStyleColour ()
| Returns a FillAreaStyleColour .
virtual Standard_EXPORT void | Init (const Handle(TCollection_HAsciiString)&aName, const Handle(StepVisual_Colour)&aFillColour)
Standard_EXPORT void | SetName (const Handle(TCollection_HAsciiString)&aName)
Standard_EXPORT Handle_TCollection_HAsciiString | Name () const
Standard_EXPORT void | SetFillColour (const Handle(StepVisual_Colour)&aFillColour)
Standard_EXPORT Handle_StepVisual_Colour | FillColour () const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Handle_TCollection_HAsciiString | name
Handle_StepVisual_Colour | fillColour

## Constructor & Destructor Documentation

Standard_EXPORT StepVisual_FillAreaStyleColour::StepVisual_FillAreaStyleColour | ( |  | ) |

## Member Function Documentation

Standard_EXPORT Handle_StepVisual_Colour StepVisual_FillAreaStyleColour::FillColour | ( |  | ) | const

Standard_EXPORT const StepVisual_FillAreaStyleColour::Handle | ( | Standard_Type |  | ) | const

virtual Standard_EXPORT void StepVisual_FillAreaStyleColour::Init | ( | const Handle(TCollection_HAsciiString)& | aName,
|  | const Handle(StepVisual_Colour)& | aFillColour
| ) | `[virtual]`

Standard_EXPORT Handle_TCollection_HAsciiString StepVisual_FillAreaStyleColour::Name | ( |  | ) | const

Standard_EXPORT void StepVisual_FillAreaStyleColour::SetFillColour | ( | const Handle(StepVisual_Colour)& | aFillColour | ) |

Standard_EXPORT void StepVisual_FillAreaStyleColour::SetName | ( | const Handle(TCollection_HAsciiString)& | aName | ) |

## Field Documentation

Handle_StepVisual_Colour StepVisual_FillAreaStyleColour::fillColour `[private]`

Handle_TCollection_HAsciiString StepVisual_FillAreaStyleColour::name `[private]`

The documentation for this class was generated from the following file:

- StepVisual_FillAreaStyleColour.hxx